[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EInvalidOperation

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when an invalid operation is performed. Obsolete.

## Declaration

Source position: classesh.inc line 145

`type EInvalidOperation = class(Exception)`

## Inheritance

`EInvalidOperation` |  | Exception raised when an invalid operation is performed. Obsolete.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

This exception is not used in Free Pascal, it is defined for Delphi compatibility purposes only.